Bug 490103 - to many '[' and '"' when listing Fixes in Errata
to many '[' and '"' when listing Fixes in Errata
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Todd Sanders
Jan Hutař
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-03-13 05:39 EDT by Jan Hutař
Modified: 2014-05-09 06:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:38:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump -i eth0 -nn -p 'tcp and host satellite.rhn.webqa.redhat.com' -w tcpdump.raw (497.64 KB, application/bzip2)
2009-03-27 03:58 EDT, Jan Hutař
no flags Details
tcpdump -i eth0 -nn -p 'tcp and host satellite.rhn.webqa.redhat.com' -w tcpdump.raw (270.93 KB, application/bzip2)
2009-04-01 05:35 EDT, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2009-03-13 05:39:51 EDT
Description of problem:
Fixes section of the Errata page is incorrectly formated.


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090306.2-x86_64


How reproducible:
all 3 advisories I have checked have that


Steps to Reproduce:
1. Go to https://pipa02.englab.brq.redhat.com/rhn/errata/details/Details.do?eid=1325
2. Look at "Fixes" section


Actual results:
Fixes
  ["['CVE-2008-1372 bzip2: crash on malformed archive file']"]


Expected results:
Fixes
  CVE-2008-1372 bzip2: crash on malformed archive file
Comment 1 Justin Sherrill 2009-03-16 12:29:44 EDT
This is actually a problem in with the data in the DB.  So could be a problem with hosted's exporter, our exporter or both...  Spoke with pradeep about it, and re-assigning it to him.
Comment 11 Jan Hutař 2009-03-27 03:58:43 EDT
Created attachment 336971 [details]
tcpdump -i eth0 -nn -p 'tcp and host satellite.rhn.webqa.redhat.com' -w tcpdump.raw

I have synced channels with '--no-errata', then started tcpdump and in other terminal re-synced from webqa, now without '--no-errata'. and for example here:

https://pipa02.englab.brq.redhat.com/rhn/errata/details/Details.do?eid=1439

Fixes
['CVE-2007-2721 jasper crash in jpc_qcx_getcompparms'] 
['CVE-2008-3520 jasper: multiple integer overflows in jas_alloc calls']

You may try yourself with admin/admin (it is Satellite-5.3.0-RHEL5-re20090323.0).
Comment 14 Jan Hutař 2009-04-01 05:35:36 EDT
Created attachment 337475 [details]
tcpdump -i eth0 -nn -p 'tcp and host satellite.rhn.webqa.redhat.com' -w tcpdump.raw

What I have done to get the dump now:
  1. # satellite-sync -c rhel-x86_64-as-4 --no-ssl --no-errata
     [...]
     Import complete:
        Begin time: Wed Apr  1 09:30:46 2009
        End time:   Wed Apr  1 10:47:36 2009
        Elapsed:    1 hours, 16 minutes, 49 seconds
  2. on the satellite check no. of the advisories => 1441
  3. # tcpdump -i eth0 -nn -p 'tcp and host satellite.rhn.webqa.redhat.com' -w tcpdump.raw   # this was started on the other console
  4. # satellite-sync -c rhel-x86_64-as-4 --no-ssl
     [...]
     Import complete:
        Begin time: Wed Apr  1 11:09:16 2009
        End time:   Wed Apr  1 11:17:59 2009
        Elapsed:    0 hours, 8 minutes, 43 seconds
  5. Ctrl+C on tcpdump
Comment 102 Clifford Perry 2014-05-09 06:38:25 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.